#include<stdio.h>

int main(){
	
	int n,m;
	
	char x[10][10];
	
	scanf("%d%d",&n,&m);	
	
	for (int i=0;i<n;i++)
		for(int j=0;j<m;j++){
			scanf("%c",&x[i][j]);
			getchar();
		}
	
	for (int i=0;i<n;i++){
		printf("\n");
		for(int j=0;j<m;j++)
			if(i==j)printf("C");
			else printf(".");	
	}	
	
	return 0;
}